nchar                  package:base                  R Documentation

Count the Number of Characters

Description:

     'nchar' takes a character vector as an argument and returns a
     vector whose elements contain the number of characters in the
     corresponding element of 'x'.

Usage:

     nchar(x)

Arguments:

       x: character vector, or a vector to be coerced to a character
          vector.

Details:

     The internal equivalent of 'as.character' is performed on 'x'. If
     you want to operate on non-vector objects passing them through
     'deparse' first will be required.

Value:

     The number of characters as the string will be printed (integer
     '2' for a missing string).

References:

     Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) _The New S
     Language_. Wadsworth & Brooks/Cole.

See Also:

     'strwidth' giving width of strings for plotting; 'paste',
     'substr', 'strsplit'

Examples:

     x <- c("asfef","qwerty","yuiop[","b","stuff.blah.yech")
     nchar(x)
     # 5  6  6  1 15

     nchar(deparse(mean))
     # 23  1 16 45 11 64  2 17 50 43  2 17  1

